Trust Centers
Create Trust Center FAQ
Adds an FAQ to a Trust Center.
POST
/
trust-centers
/
{slugId}
/
faqs
Create Trust Center FAQ
curl --request POST \
--url https://api.vanta.com/v1/trust-centers/{slugId}/faqs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"answer": "<string>",
"categoryId": "<string>"
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/faqs"
payload = {
"question": "<string>",
"answer": "<string>",
"categoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', answer: '<string>', categoryId: '<string>'})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/faqs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4b1e7a8c3d9f6a2b5c8d0e3f",
"question": "What is the meaning of life?",
"answer": "42",
"category": {
"id": "71a3b8d2ef904c1a6d5e7f30",
"name": "General"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
201 - application/json
Trust Center FAQ created
Was this page helpful?
⌘I
Create Trust Center FAQ
